Subject: Re: Successful build of GCC 4.2.0 RC3 on latest Cygwin snapshot 20070427
From: "Aaron Gray" <[email-masked]>
To: <[email-masked]>
Cc: "'GCC'" <[email-masked]>
Date: Sun, 6 May 2007 14:37:28 +0100
List-Id: <cygwin.cygwin.com>

> On 06 May 2007 07:15, Aaron Gray wrote:
>
>> I have successfully built GCC-4.2.0-20070501 on latest Cygwin snapshot
>> 20070427.
>>
>> GCC 4.2.0 RC3 is available from:
>>
>>         ftp://gcc.gnu.org/pub/gcc/prerelease-4.2.0-20070501
>>
>> I have not done run the testsuite ( make check)
>
>  I'm doing that.  Should be finished in another day or so...  :-O
>
>
> [ Note to self: never run make check with CYGWIN=error_start=insight. 
> D'oh! ]

On the LLVM build I am getting multiple :-

    warning: visibility attribute not supported in this configuration; 
ignored

with the same line number, eight or so in some cases but usually two.

Have not looked into this properly yet, I missed it earlier when first 
building but on rebuilding have captured it in a log file for thurther 
examination.

I can put together a test example if required.

Report back if I find anything thurther.

Aaron

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/